Engine Error

My Garry’s Mod doesn’t work anymore. I can run it, but when I try to set up my server or when I try to join one I get this.

Should I re-install my Garry’s Mod or is there anything else I can do about it without losing everything?

Your server is up-to-date I imagine?

It isn’t a deticated server, I’m just saying when I make a lan-server or when I join a server I get this.